<?
  //==============================================================================
  // A quick and dirty PHP function to update Weblogs.com
  // ----------------------------------------------------
  // Last Updated: 24 October 2001
  // Author: Matt Bean
  // Email : bean@yaysoft.com
  // Here is a quick example:
  //    $result = pingWeblogs("Blog Name", "http://blogurl.com/");
  //    echo "<b>Weblogs.com says</b>: $result"; 
  //==============================================================================     

  $default_name = "Bit 5";
  $default_url  = "http://bit5.clanfxp.net/";

  function pingWeblogs($name="", $url="") {
    global $default_name, $default_url;

    if (!$name) $name = $default_name;
    if (!$url)  $url  = $default_url;     

    $fp = fsockopen("rpc.weblogs.com", 80, &$errnum, &$errstr);

    if(!$fp) { 
      echo "$errstr ($errnum)<br>\n";
      $output = "ERROR!";
    } else  {
      $len = strlen($name) + strlen($url) + strlen("<?xml version=\"1.0\"?><methodCall><methodName>weblogUpdates.ping</methodName><params><param><value></value></param><param><value></value></param></params></methodCall>");
      fputs($fp,"POST /RPC2 HTTP/1.0\r\n");
      fputs($fp,"User-Agent: Bean's Weblogs.com Updater (PHP Stylin')\r\n");
      fputs($fp,"Content-Type: text/xml\r\n");
      fputs($fp,"Content-length: $len\r\n\r\n");
      fputs($fp,"<?xml version=\"1.0\"?><methodCall><methodName>weblogUpdates.ping</methodName><params><param><value>$name</value></param><param><value>$url</value></param></params></methodCall>");         
      $output="";
      while(!feof($fp)) $output.=fgets($fp,4096);
      fclose($fp);         
    }

    $output = preg_replace("/.*<\/boolean>/si","",$output);
    $output = preg_replace("/.*<value>/si","",$output);
    $output = preg_replace("/<\/value>.*/si","",$output);          
    return $output;
  }
  pingWeblogs();
?> 